Bug 169006 - Media: send "did interfere with playback" events when the user pauses an autoplaying element
Summary: Media: send "did interfere with playback" events when the user pauses an auto...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-02-28 16:45 PST by Matt Rajca
Modified: 2017-03-02 15:50 PST (History)
0 users

See Also:


Attachments
Patch (4.09 KB, patch)
2017-02-28 16:46 PST, Matt Rajca
no flags Details | Formatted Diff | Diff
Patch (4.09 KB, patch)
2017-03-01 14:43 PST, Matt Rajca
achristensen: review+
Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matt Rajca 2017-02-28 16:45:15 PST
We should notify clients of a "did interfere with playback" autoplay event when the user pauses an autoplaying media element.
Comment 1 Matt Rajca 2017-02-28 16:46:42 PST
Created attachment 303009 [details]
Patch
Comment 2 Matt Rajca 2017-03-01 14:43:44 PST
Created attachment 303122 [details]
Patch
Comment 3 Matt Rajca 2017-03-02 15:50:13 PST
Committed r213316: <http://trac.webkit.org/changeset/213316>